Odoo CRM
Update field mappings
Save the Voxys Connect ↔ Odoo field mappings.
PUT
/
api
/
v1
/
accounts
/
{account_id}
/
integrations
/
odoo
/
field_mappings
Update field mappings
curl --request PUT \
--url https://connect.voxys.ai/api/v1/accounts/{account_id}/integrations/odoo/field_mappings \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"mappings": "<array>",
"pull_create": true
}
'import requests
url = "https://connect.voxys.ai/api/v1/accounts/{account_id}/integrations/odoo/field_mappings"
payload = {
"mappings": "<array>",
"pull_create": True
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({mappings: '<array>', pull_create: true})
};
fetch('https://connect.voxys.ai/api/v1/accounts/{account_id}/integrations/odoo/field_mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}Authorizations
All API requests must include the api_access_token header with a valid agent or administrator token.
Path Parameters
Numeric ID of the account
Body
application/json
Response
Successful response
⌘I
Update field mappings

